php-kdyby-events_2.4.0-3_all.deb


Advertisement

Description

php-kdyby-events - Events for Nette Framework

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename php-kdyby-events_2.4.0-3_all.deb
Package name php-kdyby-events
Package version 2.4.0
Package release 3
Package architecture all
Package type deb
Category universe/php
Homepage https://github.com/Kdyby/Events
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 16.74 KB
Installed size 84.00 KB
Kdyby/Events provides event extensions to the Nette Framework.
They are also compatible with events dispatcher in php-doctrine-common,
and can also be used with Doctrine.

Alternatives

Package Version Architecture Repository
php-kdyby-events_2.4.0-3_all.deb 2.4.0 all Ubuntu Universe
php-kdyby-events - - -

Requires

Name Value
php-common -
php-nette >= 2.3
php-nette << 3~~

Download

Type URL
Mirror archive.ubuntu.com
Binary Package php-kdyby-events_2.4.0-3_all.deb
Source Package php-kdyby-events

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install php-kdyby-events deb package:
    # sudo apt-get install php-kdyby-events

Files

Path
/usr/share/doc/php-kdyby-events/changelog.Debian.gz
/usr/share/doc/php-kdyby-events/copyright
/usr/share/php/Doctrine/compatibility.php
/usr/share/php/Kdyby/Events/Event.php
/usr/share/php/Kdyby/Events/EventArgs.php
/usr/share/php/Kdyby/Events/EventArgsList.php
/usr/share/php/Kdyby/Events/EventManager.php
/usr/share/php/Kdyby/Events/IExceptionHandler.php
/usr/share/php/Kdyby/Events/LazyEventManager.php
/usr/share/php/Kdyby/Events/LifeCycleEvent.php
/usr/share/php/Kdyby/Events/NamespacedEventManager.php
/usr/share/php/Kdyby/Events/Subscriber.php
/usr/share/php/Kdyby/Events/SymfonyDispatcher.php
/usr/share/php/Kdyby/Events/autoload.php
/usr/share/php/Kdyby/Events/exceptions.php
/usr/share/php/Kdyby/Events/DI/EventsExtension.php
/usr/share/php/Kdyby/Events/Diagnostics/Panel.php
/usr/share/php/Kdyby/Events/Diagnostics/add.png
/usr/share/php/Kdyby/Events/Diagnostics/icon.png
/usr/share/php/Kdyby/Events/Diagnostics/run.png

Changelog

2016-04-24 - Florian Schlichting <fsfs@debian.org>
php-kdyby-events (2.4.0-3) unstable; urgency=medium
* Rebuild against PHP 7 (Closes: #821583)
* Use secure VCS URIs
* Add myself to Uploaders and remove David as requested (Closes: #816798)
* Declare compliance with Debian Policy 3.9.8
2015-05-14 - David Prévot <taffit@debian.org>
php-kdyby-events (2.4.0-2) unstable; urgency=medium
* Handle require and files declaration from composer.json
* Actually ship homemade autoload.php
2015-04-05 - David Prévot <taffit@debian.org>
php-kdyby-events (2.4.0-1) unstable; urgency=medium
[ Filip Procházka ]
* Require Nette 2.3
[ David Prévot ]
* Provide homemade autoload.php
2015-02-02 - David Prévot <taffit@debian.org>
php-kdyby-events (2.3.1-1) unstable; urgency=medium
[ Filip Procházka ]
* NamespacedEntityManager
* require nette 2.3
2014-12-27 - David Prévot <taffit@debian.org>
php-kdyby-events (2.3.0-1) unstable; urgency=medium
* Fix install path
2014-12-12 - David Prévot <taffit@debian.org>
php-kdyby-events (2.2.0+git20141212-1) unstable; urgency=medium
* Initial Release

See Also

Package Description
php-klogger_1.2.1-2_all.deb simple logging class
php-letodms-core_3.4.2-1_all.deb Document management system
php-letodms-lucene_1.1.1-2_all.deb Document management system - Fulltext search
php-libsodium_1.0.6-1build3_i386.deb PHP wrapper for the Sodium cryptographic library
php-libvirt-php_0.5.4-1_i386.deb libvirt bindings for PHP
php-log_1.12.9-2_all.deb Logging Framework
php-luasandbox_3.0.1-1_i386.deb PHP extension that provides a sandboxed Lua environment
php-mail-mime_1.10.2-0.1_all.deb PHP PEAR module for creating MIME messages
php-mail_1.3.0-1_all.deb Class that provides multiple interfaces for sending emails
php-mailparse_3.0.2+2.1.6-12-gae1ef14-1build2_i386.deb Email message manipulation for PHP
php-mapi_8.5.5-0ubuntu1_i386.deb Complete and feature rich groupware solution - PHP MAPI bindings
php-markdown_1.6.0-2_all.deb PHP library for rendering Markdown data
php-mbstring_7.2+60ubuntu1_all.deb MBSTRING module for PHP [default]
php-mdb2-driver-mysql_1.5.0b4-2_all.deb mysql MDB2 driver
php-mdb2-driver-pgsql_1.5.0b4-2_all.deb pgsql MDB2 driver
Advertisement
Advertisement